%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		connections
Version:	3.38.0
Release:	%mkrel 1
Summary:	A remote desktop client for the GNOME desktop environment
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://wiki.gnome.org/Apps/Connections
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext >= 0.19.8
BuildRequires:	meson
BuildRequires:	vala >= 0.36.0
BuildRequires:	vala-tools
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(glib-2.0) >= 2.52
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22.20
BuildRequires:	pkgconfig(gtk-vnc-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libosinfo-1.0) >= 1.1.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.44
BuildRequires:	pkgconfig(winpr2)
BuildRequires:	itstool
BuildRequires:	appstream-glib
BuildRequires:	libosinfo-vala
BuildRequires:	libxml2-utils

%description
GNOME Connections is a new app that aims to be a modern remote desktop client
for the desktop. Th app takes advantage of the VNC (Virtual Network Client)
and RDP (Remote Desktop Protocol) standards and lets users connect to remote
machines.

%prep
%setup -q
%apply_patches

%build
%meson
%meson_build

%install
%meson_install

#menu entry
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome

# Remove unneeded development files
rm -rf %{buildroot}%{_includedir}/connections/


%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.Connections.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Connections.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Connections.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Connections.Devel.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Connections-symbolic.svg
%{_datadir}/appdata/org.gnome.Connections.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Connections.service
%{_datadir}/mime/packages/org.gnome.Connections.xml



%post
%update_menus

%postun
%clean_menus


%changelog
* Mon Sep 14 2020 tex - 3.38.0-1pclos2020
- create pkg for pclos from mga based spec

